Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Class ControlCanvas

    java.lang.Object
      controlP5.ControlCanvas

Deprecated.

    @Deprecated
    public abstract class ControlCanvas

extends java.lang.Object

use the Canvas class instead to draw your custom graphics into the default sketch or a ControlWindow.

Field Summary
`static int` | `POST` Deprecated.
`static int` | `PRE` Deprecated.

Constructor Summary
`ControlCanvas()` Deprecated.

Method Summary
`abstract void` | `draw(processing.core.PApplet theApplet)` Deprecated. controlCanvas is an abstract class and therefore needs to be extended by your class.
`int` | `mode()` Deprecated. get the drawing mode of a ControlWindowCanvas.
`void` | `post()` Deprecated. set the drawing mode to POST.
`void` | `pre()` Deprecated. set the drawing mode to PRE.
`void` | `setMode(int theMode)` Deprecated.
`void` | `setup(processing.core.PApplet theApplet)` Deprecated. the setup method can be, but doesnt have to be overwritten by your custom canvas class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POST

    public static final int POST

  Deprecated.
  See Also:
    Constant Field Values

### PRE

    public static final int PRE

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### ControlCanvas

    public ControlCanvas()

  Deprecated.

Method Detail

### draw

    public abstract void draw(processing.core.PApplet theApplet)

  Deprecated.
  controlCanvas is an abstract class and therefore needs to be extended by your class. draw(PApplet theApplet) is the only method that needs to be overwritten.

### mode

    public final int mode()

  Deprecated.
  get the drawing mode of a ControlWindowCanvas. this can be PRE or POST.

  Returns:

### post

    public final void post()

  Deprecated.
  set the drawing mode to POST.

### pre

    public final void pre()

  Deprecated.
  set the drawing mode to PRE. PRE is the default.

### setMode

    public final void setMode(int theMode)

  Deprecated.
  Parameters:
    `theMode` -

### setup

    public void setup(processing.core.PApplet theApplet)

  Deprecated.
  the setup method can be, but doesnt have to be overwritten by your custom canvas class.

  Parameters:
    `theApplet` -

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2006-2012